Subject: Re: [PATCH 5/15] powerpc: convert to %r for all GPR usage

From: Jesse Larrew <[email-masked]>
Date: Thu, 14 Jun 2012 01:50:51 -0500

On 06/13/2012 10:25 PM, Michael Neuling wrote:

> Jesse Larrew <[email-masked]> wrote:
>> On 06/08/2012 06:36 AM, Michael Neuling wrote:
>>
>>
>>> -/* General Purpose Registers (GPRs) */
>>> +/*
>>> + * General Purpose Registers (GPRs)
>>> + *
>>> + * The lower case r0-r31 should be used in preference to the upper
>>> + * case R0-R31 as they provide more error checking in the assembler.
>>> + * Use R0-31 only when really nessesary.
>>> + */
>>>
<snip>
>>>
>>>  #define	R0	0
>>>  #define	R1	1
>>
>>
>> I think your patch was truncated somehow.
> 
> How so?
> 
> Mikey
> 

Oops. False alarm. I read the comment about the GPRs and expected to see #define statements for R2-31 as well. However, I just realized that your patch didn't actually add them. The R0 and R1 defines are just there for context. My mistake.

Jesse Larrew
Software Engineer, Linux on Power Kernel Team
IBM Linux Technology Center
Phone: (512) 973-2052 (T/L: 363-2052)
[email-masked]